Skip to main content
GET
/
virtual-accounts
/
{account_id}
/
transactions
List transactions for an account
curl --request GET \
  --url https://api.pcxpay.com/v1/virtual-accounts/{account_id}/transactions \
  --header 'Authorization: Bearer <token>'
"<unknown>"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_id
string
required

Query Parameters

limit
integer
default:20
type
enum<string>
Available options:
credit,
debit
status
enum<string>
Available options:
pending,
completed,
failed
start_date
string<date>
end_date
string<date>
last_evaluated_key
string

DynamoDB pagination cursor from the previous response. Pass the value of meta.last_evaluated_key to fetch the next page.

Response

Paginated transaction list

The response is of type any.